import { EventEmitter } from '../stencil-public-runtime';
import { Disposable } from '@vertexvis/utils';
export interface EventEmitterDisposable<E> extends EventEmitter<E>, Disposable {
}
export declare function readDOM(task: () => void): void;
export declare function writeDOM(task: () => void): void;
export declare function debounceEvent<E>(event: EventEmitter<E>, wait: number): EventEmitterDisposable<E>;
